Bug 1305206 - Can't deploy droolsjbpm-integration in redhat nexus repository
Can't deploy droolsjbpm-integration in redhat nexus repository
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: DR2
: 6.3.0
Assigned To: Petr Široký
Jiri Petrlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 00:19 EST by Ryan Zhang
Modified: 2016-03-02 04:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2016-02-06 00:19:33 EST
Description of problem:
We can't deploy droolsjbpm-integration to redhat nexus repository. 
After investigation and discussion with Petr, I think the reason could possible is:
droolsjbpm-integration/kie-maven-plugin used io.takari  which will used takari-maven-plugin for deployment.
However we found that it can't read the authentication from altDeploymentRepository.
it should be able to reproduce via  in droolsjbpm-integration/kie-maven-plugin modules:
mvn clean deploy -DskipTests -DaltDeploymentRepository=jboss-snapshots-repository::default::https://repository.jboss.org/nexus/content/repositories/snapshots/ -s my-settings.xml

This won't be a problem to community since the deployment configuration is writen in distributionManagement 
See:
https://origin-repository.jboss.org/nexus/content/groups/public-jboss/org/jboss/jboss-parent/16/jboss-parent-16.pom

But in product side, we have to deploy to :
https://repository-basic.engineering.redhat.com/nexus/content/repositories/scratch-release-jb-bxms-6.3-build

It's not possible to simply override the repository url since the authentication is different.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Ryan Zhang 2016-02-06 00:21:02 EST
Petr, It seems that takari plugin has problem with altDeploymentRepository.
I am wondering that if we can replace the takari with maven deploy pluin in kie-maven-plugin module.
Comment 3 Petr Široký 2016-02-08 04:11:00 EST
I believe that the proper solution here is to fix this in the takari-lifecycle (https://github.com/takari/takari-lifecycle) so that everyone using the plugin can benefit from the fix. I will hopefully be able to look at that.

In the meantime, I will see if I can configure the kie-maven-plugin to use the maven-deploy-plugin for deploying only. This temporary workaround should work until we upgrade to the takari version that contains the fix.
Comment 4 Ryan Zhang 2016-02-11 23:34:45 EST
(In reply to Petr Siroky from comment #3)
> I believe that the proper solution here is to fix this in the
> takari-lifecycle (https://github.com/takari/takari-lifecycle) so that
> everyone using the plugin can benefit from the fix. I will hopefully be able
> to look at that.
> 
> In the meantime, I will see if I can configure the kie-maven-plugin to use
> the maven-deploy-plugin for deploying only. This temporary workaround should
> work until we upgrade to the takari version that contains the fix.

That sounds perfect to me. 
Thanks Petr for taking this!
Comment 5 Ryan Zhang 2016-02-17 06:49:50 EST
Petr, Can I ask that would the short term solution be availabe for DR2 release?
Comment 6 Petr Široký 2016-02-17 08:43:28 EST
Sorry Ryan. Haven't yet looked at this. Will try to do that today.
Comment 7 Petr Široký 2016-02-19 09:57:08 EST
I've fixed the bug directly in the takari-lifecycle-plugin and released temporary version 1.11.11.jbossorg-1 which we will use until proper 1.11.12 gets released.

master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/d2c4907391317

6.4.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/754d7b61150e5
Comment 8 Petr Široký 2016-02-19 10:16:13 EST
For a future reference, we need this fix in https://github.com/takari/takari-lifecycle/pull/34 (it could also be that it won't make it into 1.11.12 in time).
Comment 9 Petr Široký 2016-03-02 03:37:48 EST
I think there isn't really anything QE needs to look at for this one. Ryan can you confirm everything works as expected and then close the BZ?
Comment 10 Ryan Zhang 2016-03-02 04:40:42 EST
Yes, you are right. 
I should verify this during productization stage.

It worked as expected.

Note You need to log in before you can comment on or make changes to this bug.